## org.hibernate.loader.custom
Class CustomLoader.ResultRowProcessor

    java.lang.Object
      org.hibernate.loader.custom.CustomLoader.ResultRowProcessor

Enclosing class:
  CustomLoader

    public class CustomLoader.ResultRowProcessor

extends Object

Constructor Summary
`CustomLoader.ResultRowProcessor(boolean hasScalars, org.hibernate.loader.custom.CustomLoader.ResultColumnProcessor[] columnProcessors)`

Method Summary
`Object` `buildResultRow(Object[] data, ResultSet resultSet, boolean hasTransformer, SessionImplementor session)` Build a logical result row.
`void` `prepareForAutoDiscovery(org.hibernate.loader.custom.CustomLoader.Metadata metadata)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomLoader.ResultRowProcessor

    public CustomLoader.ResultRowProcessor(boolean hasScalars,
                                           org.hibernate.loader.custom.CustomLoader.ResultColumnProcessor[] columnProcessors)

Method Detail

### prepareForAutoDiscovery

    public void prepareForAutoDiscovery(org.hibernate.loader.custom.CustomLoader.Metadata metadata)
                                 throws SQLException

  Throws:
    `SQLException`

### buildResultRow

    public Object buildResultRow(Object[] data,
                                 ResultSet resultSet,
                                 boolean hasTransformer,
                                 SessionImplementor session)
                          throws SQLException,
                                 HibernateException

  Build a logical result row.

  At this point, Loader has already processed all non-scalar result data. We just need to account for scalar result data here...

  Parameters:
    `data` - Entity data defined as "root returns" and already handled by the normal Loader mechanism.
    `resultSet` - The JDBC result set (positioned at the row currently being processed).
    `hasTransformer` - Does this query have an associated `ResultTransformer`
    `session` - The session from which the query request originated.
  Returns:
    The logical result row
  Throws:
    `SQLException`
    `HibernateException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.